Draft Shape2DView/es: Difference between revisions

From FreeCAD Documentation
(Languages spanish)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/es|Name=Draft_Shape2DView|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto -> Vista de forma 2D}}
{{GuiCommand|Name=Draft_Shape2DView|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Shape 2D View}}


==Descripción==
==Description==


Esta herramienta sitúa en el documento un objeto 2D que es una vista proyectada de un objeto basado en [[Part Module/es|formas]].
This tool places in the document a 2D object which is a flattened view of a selected [[Part Module|Shape]]-based object.


[[Image:Draft_Shape2DView_example.jpg]]
[[Image:Draft_Shape2DView_example.jpg]]


==Utilización==
==How to use==


# Select the object you want to extract a 2D view from
# Selecciona el objeto que quieres extraer a una vista 2D
# Presiona el botón {{KEY|[[Image:Draft Shape2DView.png|16px]] [[Draft Shape2DView/es|Vista de forma 2D]]}}
# Press the {{KEY|[[Image:Draft Shape2DView.png|16px]] [[Draft Shape2DView]]}} button


==Opciones==
==Options==


* If the selected object is an [[Arch SectionPlane]], the 2D projection will be of the contents of the Section plane, and the projection vector will be taken from the section plane instead of the Projection property below.
* Si el objeto seleccionado es un [[Arch SectionPlane/es|Plano de sección de arquitectura]], la proyección 2D será del contenido del plano de sección, y el vector de proyección se tomará del plano de sección en lugar de debajo de la propiedad de Projección.
* The normal operating mode is '''Solid''', which projects the whole shape, but, if you selected some faces of the base object when creating the 2D view, you can also set the '''Individual Faces''' mode, which will project only the faces that were selected.
* If the selected object is an [[Arch SectionPlane]], a '''cutlines''' projection mode is also available, which projects only the edges being cut by the section plane.


==Properties==
* El modo de funcionamiento normal es '''Sólido''', que proyecta la forma completa, pero si seleccionas algunas caras del objeto base cuando se crea la vista 2D, también puedes establecer el modo '''Caras individuales''', que proyectará sólo las caras que están seleccionadas.


* {{PropertyData|Projection}}: The direction of the projection.
* Si el objeto seleccionado es una [[Arch SectionPlane/es|Sección Plana de arquitectura]], está disponible un modo de proyección '''líneas de corte''', que proyecta sólo las aristas que son cortadas por el plano de sección.
* {{PropertyData|Projection Mode}}: The mode of the projection: solid, individual faces, or cutlines.


==Propiedades==
==Scripting==


The Draft Shape2DView tool can by used in [[macros]] and from the python console by using the following function:
* {{PropertyData|Projection}}: La dirección de la proyección
* {{PropertyData|Projection Mode}}: El modo de la proyección: sólido, caras individuales o líneas de corte.


<syntaxhighlight>
==Archivos de guión==
makeShape2DView (object,[projection],[facenumbers])
</syntaxhighlight>
* Adds a 2D shape to the document, which is a 2D projection of the given object.
* A specific projection vector can also be given.
* Returns the generated object.
* You can also provide a list of face numbers to be considered.


Example:
La herramienta de vista 2D de forma se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando la siguiente función:

'''makeShape2DView (object,[projection,facenumbers])''': Añade una forma 2D al documento, la cual es una proyección 2D del objeto dado.
Se puede indicar un vector de proyección específico. Devuelve el objeto generado.
También puedes proporcionar una lista de números de caras a considerar.
Ejemplo:


<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)
Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)
</syntaxhighlight>


<languages/>
{{languages/es | {{en|Draft_Shape2DView}} {{fr|Draft_Shape2DView/fr}} {{it|Draft_Shape2DView/it}} }}

Revision as of 15:37, 14 February 2014

Draft_Shape2DView

Menu location
Draft -> Shape 2D View
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

This tool places in the document a 2D object which is a flattened view of a selected Shape-based object.

How to use

  1. Select the object you want to extract a 2D view from
  2. Press the Draft Shape2DView button

Options

  • If the selected object is an Arch SectionPlane, the 2D projection will be of the contents of the Section plane, and the projection vector will be taken from the section plane instead of the Projection property below.
  • The normal operating mode is Solid, which projects the whole shape, but, if you selected some faces of the base object when creating the 2D view, you can also set the Individual Faces mode, which will project only the faces that were selected.
  • If the selected object is an Arch SectionPlane, a cutlines projection mode is also available, which projects only the edges being cut by the section plane.

Properties

  • DatosProjection: The direction of the projection.
  • DatosProjection Mode: The mode of the projection: solid, individual faces, or cutlines.

Scripting

The Draft Shape2DView tool can by used in macros and from the python console by using the following function:

 makeShape2DView (object,[projection],[facenumbers])
  • Adds a 2D shape to the document, which is a 2D projection of the given object.
  • A specific projection vector can also be given.
  • Returns the generated object.
  • You can also provide a list of face numbers to be considered.

Example:

 import FreeCAD,Draft
 Draft.makeShape2DView(FreeCAD.ActiveDocument.ActiveObject)